<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>KESAN | Registrasi</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="css/heroic.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <title>KESAN | Registrasi</title>
    <link rel="stylesheet" href="css/help_people.css">
    <link rel="stylesheet" href="css/help_people.css">

</head>

<body>
    <meta charset="utf-8">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <!-- Fixed navbar -->
    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
           <span class="sr-only">Toggle navigation</span>
           <span class="icon-bar"></span>
           <span class="icon-bar"></span>
           <span class="icon-bar"></span>
         </button>
                <a class="navbar-brand" href="/">Kesan</a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li class="{{ Request::is('/') ? 'active' : '' }}">
                        <a href="/">Beranda</a>
                    </li>
                    
                    <li class="{{ Request::is('about') ? 'active' : '' }}">
                        <a href="/about">Tentang</a>
                    </li>
                    <!--
                    <li class="{{ Request::is('contact_us') ? 'active' : '' }}">
                        <a href="/contact">Contact Us</a>
                    </li>
                    -->
                </ul>
            </div>
            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container-fluid -->
    </nav>




    <div class="container" id="bottom-spacing">
        <div class="row">
            <div class="col-md-12 text-center">
                <h2 class="to-animate"><font color="#26C55B">Registrasi RFID</font></h2>
                <br>
               <!-- <div class="row" id="jump-margin">
                    <div class="col-md-8 col-md-offset-2 subtext to-animate">
                         <h3>Kansei Engginering-based System for Parametrization of Human Factors</h3>

                    </div> 
                </div>-->
            </div>
        </div>

        <div class="row">
            <div class="col-xs-12 center-block" id="special_form_div">
                <img src="img/rfid.svg" height="100">
                <form action="http://kansei-kesan.tp.ugm.ac.id/rfid.php" method="POST">

                    <label for="Role">Jenis Akun:</label>
                    <br>
                    <select name="id_role" onchange="roleFunction()">
                    <option value="2">Pemilik</option>
                    <option value="3">Pegawai</option>
                    </select>

                    <br>
                    <br>
                    <label for="Name">Nama Pengguna:</label>
                    <br>
                    <input type="text" class="form-control" id="specific-form-control" name="id_name" onkeydown="uniCharCode(event)">
                                        
                    <br>
                    <label for="Name">Kata Sandi: </label>
                    <br>
                    <input type="password" class="form-control" id="specific-form-control" name="passw" value=>
                    <br>
                   
                    <!-- RFID -->
                    <label for="Name">Pindai RFID:</label>
                    <label for="Name"> </label>
                        <br>
                        <select id="comport">
                    <option>Pilih Comport</option>
                  </select>
                        <br>
                        <input type="text" id="myInput" placeholder="          RFID CODE" name="id_rfid" value="" id="spacing-left">
                        <!--<input id="check" type="checkbox" onclick="myFunction()">Show Rfid
                        -->
                        <br/>
                        <br>
                    <!-- RFID - 2 -->

                    <button type="submit" class="btn btn-success" name="regis">Daftar</button>
                </form>
            </div>
        </div>
        <div class="container-fluid" id="spacing-bottom">
        </div>
    </div>
    <!-- Footer -->
    <div class="footer-ex">

        <div class="container">
            <p class="m-0 text-center text-white text-middle">Copyright &copy;2019 KESAN</p>

        </div>
</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>

<script>
    var flagPort = false;
    var comport;
    var status;

    $(document).ready(function() {
        var char;
        var charData = window.localStorage.getItem('char');
        charData = charData.replace("null", "");
        document.getElementsByName("id_name")[0].value = charData;

        var last_id_role = window.localStorage.getItem('id_role');
        if (last_id_role != null) {
            document.getElementsByName("id_role")[0].value = last_id_role;
        }
    })


    function roleFunction() {
        var id_role = document.getElementsByName("id_role")[0].value;
        window.localStorage.setItem('id_role', id_role);
    }

    function uniCharCode(event) {
        var char;
        var charData = window.localStorage.getItem('char');
        char = event.key;
        var KeyID = event.keyCode;
        if (charData != null && (KeyID > 20)) {
            charData += char;
        }

        if (KeyID == 8) {

            charData = charData.substr(0, charData.length - 1);
        }
        charData = charData.replace("null", "");
        window.localStorage.setItem('char', charData);

    }
    

    //rfid mulai
    var flagPort = false;
    var comport;
    var status;
    $(document).ready(function() {

        document.getElementById("myInput").value = "";
        changeTypeRfid();
        rfidComport();
        setInterval(function() {

            // alert('sd')
            if (flagPort == false) {

                rfidComport();
                selectComport();

            }

        }, 1000);

    })
    window.onload = timedRefresh(5000);

    function selectComport() {
        var e = document.getElementById("comport");
        var selectComport = e.options[e.selectedIndex].value;
        //
        if (selectComport != 'Pilih Comport') {
            document.getElementById("comport").selectedIndex = e.selectedIndex;
            flagPort = true;
            alert('silahkan tempelkan RFID anda')
            rfidRead(selectComport);
        }

    }

    function rfidComport() {
        var request = $.ajax({
            type: "GET",
            url: "/comport"
        });
        request.done(function(data, textStatus, jqXHR) {
            var str;
            var result;
            var comport = document.getElementById("comport");

            for (var i = 0; i < data.length; i++) {
                str = data[i];
                result = str.match(/COM[0-9]{1,2}/);
                if (result != null) {
                    var select = document.getElementById("comport");
                    var length = select.options.length;
                    for (var i = 1; i < length; i++) {

                        select.options[i] = null;
                    }
                    var option = document.createElement("option");
                    option.text = result;
                    comport.add(option);

                }


            }
        });
        request.fail(function(data, textStatus, jqXHR) {
            // alert('error')
        });

    }

    function rfidRead(selectComport) {

        var request = $.ajax({
            type: "GET",
            url: "/rfidRead/" + selectComport
        });
        request.done(function(data, textStatus, jqXHR) {
            var data = data.data;
            data = data.replace(/\s/g, '');

            document.getElementById("myInput").value = data;
            submitRfid(data);
            flagPort = false;

        });
        request.fail(function(data, textStatus, jqXHR) {
            //alert('error')
        });

    }

    /*
    function timedRefresh(timeoutPeriod) {
        //setTimeout("location.reload(true);",timeoutPeriod);
    }
    */

    function changeTypeRfid() {
        var type = window.localStorage.getItem('type');
        if (type != null) {
            var x = document.getElementById("myInput");
            if (type == "text") {
                document.getElementById("check").checked = true;
            }
            x.type = type;
        }
    }

        
</script>

</html>